Bug 186113 - [PATCH] textproc/bibtex2html: Convert to staging
Summary: [PATCH] textproc/bibtex2html: Convert to staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-25 22:50 UTC by Mathieu Arnold
Modified: 2014-01-26 00:10 UTC (History)
0 users

See Also:


Attachments
bibtex2html-1.97.patch (763 bytes, patch)
2014-01-25 22:50 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2014-01-25 22:50:00 UTC
- Convert to staging
- Add option to build pdf doc

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-01-25 22:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gerald

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Gerald Pfeifer freebsd_committer 2014-01-25 23:02:46 UTC
Responsible Changed
From-To: gerald->mat

Thanks Mathieu! 

The staging changes look fine, and if you have tested the docs part, 
too, please go ahead and commit this change. 

Approved:	gerald 

(Out of curiosity, are you using this port and enabled the docs for 
that reason, or did you just do this for completeness?  I never had 
the need myself nor a request so far.)
Comment 3 Mathieu Arnold freebsd_committer 2014-01-26 00:00:15 UTC
+--On 25 janvier 2014 23:04:57 +0000 gerald@FreeBSD.org wrote:
| Synopsis: [PATCH] textproc/bibtex2html: Convert to staging
| 
| Responsible-Changed-From-To: gerald->mat
| Responsible-Changed-By: gerald
| Responsible-Changed-When: Sat Jan 25 23:02:46 UTC 2014
| Responsible-Changed-Why: 
| Thanks Mathieu!
| 
| The staging changes look fine, and if you have tested the docs part,
| too, please go ahead and commit this change.
| 
| Approved:	gerald

Great, thanks.

| (Out of curiosity, are you using this port and enabled the docs for
| that reason, or did you just do this for completeness?  I never had
| the need myself nor a request so far.)

Hum, no, I don't even use the port, but I saw the --disable-doc, and
thought I could try and add it :-)

-- 
Mathieu Arnold
Comment 4 Mathieu Arnold freebsd_committer 2014-01-26 00:05:39 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 5 dfilter service freebsd_committer 2014-01-26 00:05:44 UTC
Author: mat
Date: Sun Jan 26 00:05:36 2014
New Revision: 341145
URL: http://svnweb.freebsd.org/changeset/ports/341145
QAT: https://qat.redports.org/buildarchive/r341145/

Log:
  - Convert to staging
  - Add option to build pdf doc
  
  PR:		186113
  Submitted by:	mat
  Approved by:	gerald
  Sponsored by:	Absolight

Added:
  head/textproc/bibtex2html/files/
  head/textproc/bibtex2html/files/patch-Makefile.in   (contents, props changed)
Modified:
  head/textproc/bibtex2html/Makefile

Modified: head/textproc/bibtex2html/Makefile
==============================================================================
--- head/textproc/bibtex2html/Makefile	Sun Jan 26 00:05:02 2014	(r341144)
+++ head/textproc/bibtex2html/Makefile	Sun Jan 26 00:05:36 2014	(r341145)
@@ -12,10 +12,18 @@ COMMENT=	Tools for searching BibTeX and 
 BUILD_DEPENDS=	ocaml:${PORTSDIR}/lang/ocaml
 
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--disable-doc
 
-MAN1=		bibtex2html.1 bib2bib.1 aux2bib.1
-PLIST_FILES=	bin/aux2bib bin/bib2bib bin/bibtex2html
+OPTIONS_DEFINE=	PDFDOCS
+PDFDOCS_DESC=	${DOCS_DESC}
+
+PDFDOCS_CONFIGURE_ENABLE=	doc
+PDFDOCS_USE=	TEX=latex:build
+PDFDOCS_BUILD_DEPENDS=	hevea:${PORTSDIR}/textproc/hevea
+PDFDOCS_INSTALL_TARGET=	install install-doc
+
+PORTDOCS=	*
+
+PLIST_FILES=	bin/aux2bib bin/bib2bib bin/bibtex2html \
+		man/man1/bibtex2html.1.gz man/man1/bib2bib.1.gz man/man1/aux2bib.1.gz
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Added: head/textproc/bibtex2html/files/patch-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/bibtex2html/files/patch-Makefile.in	Sun Jan 26 00:05:36 2014	(r341145)
@@ -0,0 +1,22 @@
+--- ./Makefile.in.orig	2012-02-06 09:39:54.000000000 +0000
++++ ./Makefile.in	2014-01-25 22:42:26.000000000 +0000
+@@ -19,16 +19,16 @@
+ #########################################
+ 
+ # where to put executable files
+-prefix=@prefix@
++prefix=$(DESTDIR)@prefix@
+ exec_prefix=@exec_prefix@
+ BINDIR=@bindir@
+ EXE=@EXE@
+ 
+ # where to install the man pages
+-MANDIR = @mandir@
++MANDIR = $(DESTDIR)@mandir@
+ 
+ # where to install the doc
+-DOCDIR = $(prefix)/doc/bibtex2html
++DOCDIR = $(prefix)/share/doc/bibtex2html
+ 
+ #########################################
+ # End of configuration part
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"